Commons (Groovy 5.0.7)
Description: declaration: package: groovy.util.logging, annotation type: Commons

Package groovy.util.logging

# Annotation Type Commons

@Documented @Retention(SOURCE) @Target(TYPE) public @interface Commons
This local transform adds a logging ability to your program using Apache Commons logging. Every method call on an unbound variable named log will be mapped to a call to the logger. For this a log field will be inserted in the class. If the field already exists the usage of this transform will cause a compilation error. The method name will be used to determine what to call on the logger.

     log.name(exp)

is mapped to

     if (log.isNameEnabled() {
        log.name(exp)
     }

Here name is a placeholder for info, debug, warning, error, etc. If the expression exp is a constant or only a variable access the method call will not be transformed. But this will still cause a call on the injected logger.

Since:
  1.8.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Commons.CommonsLoggingStrategy`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `category`
  `Class<? extends LogASTTransformation.LoggingStrategy>`
  `loggingStrategy`
  `String`
  `value`
  `String`
  `visibilityId`
  If specified, must match the "id" attribute in a VisibilityOptions annotation to enable a custom visibility.

- ## Element Details

  - ### value

    String value
    Default:
      "log"

  - ### category

    String category
    Default:
      "##default-category-name##"

  - ### visibilityId

    String visibilityId
    If specified, must match the "id" attribute in a VisibilityOptions annotation to enable a custom visibility.
    Default:
      "<DummyUndefinedMarkerString-DoNotUse>"

  - ### loggingStrategy

    Class<? extends LogASTTransformation.LoggingStrategy> loggingStrategy
    Default:
      groovy.util.logging.Commons.CommonsLoggingStrategy.class